diff --git a/test/assembler/Makefile b/test/assembler/Makefile
index faefddf7a..a085bc390 100644
--- a/test/assembler/Makefile
+++ b/test/assembler/Makefile
@@ -2,8 +2,6 @@
 # makefile for the assembler regression tests
 
 BINDIR = ../../bin
-#WORKDIR := ../../testwrk
-WORKDIR := .
 
 BASE_TARGETS  = 6502 6502x 65sc02 65c02
 BASE_TARGETS += 4510 huc6280
@@ -19,9 +17,9 @@ all:
 # generate opcode targets and expand target list
 define opcode
 OPCODE_TARGETLIST += $(1)-opcodes.bin
-$$(WORKDIR)/$(1)-opcodes.bin: $(1)-opcodes.s
-	@$$(BINDIR)/cl65 --cpu $(1) -t none -l $$(WORKDIR)/$(1)-opcodes.lst --obj-path $$(WORKDIR) -o $$@ $$<
-	@diff -q $(1)-opcodes.ref $$@ || (cat $$(WORKDIR)/$(1)-opcodes.lst ; exit 1)
+$(1)-opcodes.bin: $(1)-opcodes.s
+	@$$(BINDIR)/cl65 --cpu $(1) -t none -l $(1)-opcodes.lst -o $$@ $$<
+	@diff -q $(1)-opcodes.ref $$@ || (cat $(1)-opcodes.lst ; exit 1)
 	@echo ca65 --cpu $(1) opcodes ok
 endef
 $(foreach target,$(OPCODE_TARGETS),$(eval $(call opcode,$(target))))
@@ -29,9 +27,9 @@ $(foreach target,$(OPCODE_TARGETS),$(eval $(call opcode,$(target))))
 # generate cpudetect targets and expand target list
 define cpudetect
 CPUDETECT_TARGETLIST += $(1)-cpudetect.bin
-$$(WORKDIR)/$(1)-cpudetect.bin: cpudetect.s
-	@$$(BINDIR)/cl65 --cpu $(1) -t none -l $$(WORKDIR)/$(1)-cpudetect.lst --obj-path $$(WORKDIR) -o $$@ $$<
-	@diff -q $(1)-cpudetect.ref $$@ || (cat $$(WORKDIR)/$(1)-cpudetect.lst ; exit 1)
+$(1)-cpudetect.bin: cpudetect.s
+	@$$(BINDIR)/cl65 --cpu $(1) -t none -l $(1)-cpudetect.lst -o $$@ $$<
+	@diff -q $(1)-cpudetect.ref $$@ || (cat $(1)-cpudetect.lst ; exit 1)
 	@echo ca65 --cpu $(1) cpudetect ok
 endef
 $(foreach target,$(CPUDETECT_TARGETS),$(eval $(call cpudetect,$(target))))